# Protocols_Hooks.h File Reference

`#include "ace/CORBA_macros.h"`
`#include "ace/Service_Object.h"`
`#include "TAO_Export.h"`
`#include "Basic_Types.h"`
`#include "IOP_IORC.h"`
`#include "ace/SString.h"`

Include dependency graph for Protocols_Hooks.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | CORBA

## Classes

class | TAO_IIOP_Protocol_Properties
class | TAO_UIOP_Protocol_Properties
class | TAO_SHMIOP_Protocol_Properties
class | TAO_DIOP_Protocol_Properties
class | TAO_SCIOP_Protocol_Properties
class | TAO_Protocols_Hooks

## Detailed Description

Id
  Protocols_Hooks.h,v 1.30 2005/11/02 11:03:26 ossama Exp

Author:
  Priyanka Gontla <pgontla@ece.uci.edu>